> ## Documentation Index
> Fetch the complete documentation index at: https://docs.json.pe/llms.txt
> Use this file to discover all available pages before exploring further.

# SOAT por Placa

> Consulta SOAT por placa.



## OpenAPI

````yaml POST /soat
openapi: 3.0.1
info:
  title: json.pe - API Consulta RUC, DNI, Placa, SOAT, Licencia de Conducir y más
  description: >-
    Documentación oficial de [json.pe](https://json.pe) — API Consulta RUC, DNI,
    Placa, SOAT, Licencia de Conducir y más. Regístrate gratis en
    [json.pe/signup](https://json.pe/signup).
  version: 1.0.0
servers:
  - url: https://api.json.pe/api
security:
  - bearerAuth: []
paths:
  /soat:
    post:
      tags:
        - placa
      description: Consulta SOAT por placa.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/soat-request'
      responses:
        '200':
          description: placa response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/soat'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    soat-request:
      type: object
      required:
        - placa
      properties:
        placa:
          type: string
          description: La placa a consultar
          example: F5U597
      example:
        placa: F5U597
    soat:
      type: object
      properties:
        success:
          type: boolean
          description: El estado de la respuesta  true o false
        message:
          type: string
          description: Mensaje de la respuesta
        data:
          type: object
          description: Datos detallados de la respuesta
          properties:
            placa:
              type: string
              description: Placa del vehiculo
            nombre_compania:
              type: string
              description: Nombre de la compañia
            fecha_inicio:
              type: string
              description: Fecha de Inicio
            fecha_fin:
              type: string
              description: Fecha Fin
            estado:
              type: string
              description: Estado del SOAT
            numero_poliza:
              type: string
              description: Numero de Poliza
      example:
        success: true
        message: exito
        data:
          placa: F5U597
          nombre_compania: Rimac Seguros
          fecha_inicio: 07/11/2023
          fecha_fin: 07/11/2024
          estado: VENCIDO
          numero_poliza: '0000084606840000000000014'
    error:
      required:
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      example:
        success: false
        message: Bad Request
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````